Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class InstalledBase

    java.lang.Object
      |
      +--oracle.apps.cz.cio.InstalledBase

public abstract class InstalledBase
extends java.lang.Object

This class is the repository of installed components When restoring delta configurations, this repository is used to read the most recent version of the components and write back changes This class must be subclassed and all the methods overriden in order to tie it to an actual db schema.

Nested Class Summary
`class` | `InstalledBase.ConfigPair` This class is used for storage of inputs to getConnectedComponents
`class` | `InstalledBase.ConnectionRelation` This class is used for storage of outputs from getConnectedComponents

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Constructor Summary
`InstalledBase()`

Method Summary
`abstract long` | `getComponentRevision(long headerId, java.sql.Timestamp targetDate, java.lang.String validationContext, oracle.apps.fnd.common.Context ctx)`
`abstract com.sun.java.util.collections.List` | `getConnectedComponents(com.sun.java.util.collections.List instances, java.sql.Timestamp targetDate, java.lang.String validationContext, oracle.apps.fnd.common.Context ctx)`
`abstract void` | `synchronizeAttributes(oracle.apps.cz.cio.ITrackableInstance instance, oracle.apps.fnd.common.Context ctx)`
`abstract void` | `updateInstances(com.sun.java.util.collections.List instances, java.sql.Timestamp targetDate, oracle.apps.fnd.common.Context ctx)`
`abstract void` | `updateInstancesStatus(com.sun.java.util.collections.List instances, java.sql.Timestamp targetDate, oracle.apps.fnd.common.Context ctx)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Constructor Detail

### InstalledBase

    public InstalledBase()

Method Detail

### getConnectedComponents

    public abstract com.sun.java.util.collections.List getConnectedComponents(com.sun.java.util.collections.List instances,
                                                                              java.sql.Timestamp targetDate,
                                                                              java.lang.String validationContext,
                                                                              oracle.apps.fnd.common.Context ctx)
                                                                       throws IBException

    `IBException`

### getComponentRevision

    public abstract long getComponentRevision(long headerId,
                                              java.sql.Timestamp targetDate,
                                              java.lang.String validationContext,
                                              oracle.apps.fnd.common.Context ctx)
                                       throws IBException

    `IBException`

### synchronizeAttributes

    public abstract void synchronizeAttributes(oracle.apps.cz.cio.ITrackableInstance instance,
                                               oracle.apps.fnd.common.Context ctx)
                                        throws IBException

    `IBException`

### updateInstances

    public abstract void updateInstances(com.sun.java.util.collections.List instances,
                                         java.sql.Timestamp targetDate,
                                         oracle.apps.fnd.common.Context ctx)
                                  throws IBException

    `IBException`

### updateInstancesStatus

    public abstract void updateInstancesStatus(com.sun.java.util.collections.List instances,
                                               java.sql.Timestamp targetDate,
                                               oracle.apps.fnd.common.Context ctx)
                                        throws IBException

    `IBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.